/****************************************************************************
 ****************************************************************************
 *	|[g`	 :ԍŏɃCN[hĉ 
 *
 *		Released by Ă[Th
 *		1.00	2012/05/05	KLCD_78K0Rp𗬗pč쐬
 *		1.01	2012/06/17	b胊[X
 ****************************************************************************
 ****************************************************************************/
#ifndef MCU_LIST

	#pragma SFR
	#pragma EI		/**/
	#pragma DI		/**/
	#pragma HALT
	#pragma STOP
	#pragma NOP
	
	/* MCU list */
	#include "MCU_LIST.h"

	/* Define Macro */
	#ifndef _Bool
		#define  _Bool	boolean
	#endif
	#ifndef RETRY_API
		#define  RETRY_API	(1)
	#endif

	/* DUMMY PORT(_~[o͒[qƂĖgp̊荞݃tO蓖) */
	#define	DUMMY_PIN	PIF5

	/****************************
	 TAU,SAU蓖
	 ****************************/
	/*
	*** RL78/G13(64`128pin) ***
	*
	TAU0_0:ԊOʐM܂͒iPWMój
	TAU0_1:ԊOʐM܂͒iPWMój
	TAU0_2:ԊOʐMMp(bitԊu)
	TAU0_3:BEEPp(`go)
	TAU0_4:\
	TAU0_5:Zp(e^C~Opt[)
	TAU0_6:ԊOMbitԊup
	TAU0_7:{p(10msC^[o)
	
	SAU0_0:I[fBIp3VA(CSI00)
	SAU0_1:-
	SAU0_2:SDJ[hp3VA(CSI10)
	SAU0_3:-
	SAU1_0:p\RʐMpCOM|[g(UART2)
	SAU1_1:p\RʐMpCOM|[g(UART2)
	SAU1_2:-(64pinɂ͂Ȃ)
	SAU1_3:-(64pinɂ͂Ȃ)
	*/
	
	/****************************
	 {,Z^C}
	 ****************************/
	#define BTIMER_TAU	0
	#define BTIMER_CH	7
	#define BTIMER_IF	TMIF07
	#define BTIMER_MK	TMMK07
	#define BTIMER_TMR	TMR07
	#define BTIMER_TDR	TDR07
	#define BTIMER_TSL	TS0L
	#define BTIMER_TTL	TT0L
	#define BTIMER_TCR	TCR07

	#define STIMER_TAU	0
	#define STIMER_CH	5
	#define STIMER_IF	TMIF05
	#define STIMER_MK	TMMK05
	#define STIMER_TMR	TMR05
	#define STIMER_TDR	TDR05
	#define STIMER_TSL	TS0L
	#define STIMER_TTL	TT0L
	#define STIMER_TCR	TCR05

	/****************************
	 LCD
	 ****************************/
	#define LCD_D		P7
	#define LCD_DM		PM7
	#define LCD_WR		P2.3
	#define LCD_DI		P2.4
	#define LCD_E		P2.7
	#define LCD_CS1		P2.5
	#define LCD_CS2		P2.6
	#define LCD_RESET	P14.1

	/****************************
	 KEY
	 ****************************/
	#define KEYIN1		P5.1
	#define KEYIN2		P5.2
	#define KEYIN3		P5.3
	#define KEYIN4		P5.4
	#define KEYIN5		P5.5
	#define KEYOUT1		P0.0
	#define KEYOUT2		P0.1
	#define KEYOUT3		P0.5
	#define KEYOUT4		P0.6
	#define KEYOUT5		P4.3
	#define KEYOUTM1	PM0.0
	#define KEYOUTM2	PM0.1
	#define KEYOUTM3	PM0.5
	#define KEYOUTM4	PM0.6
	#define KEYOUTM5	PM4.3
	#define KEYOUTU1	PU0.0
	#define KEYOUTU2	PU0.1
	#define KEYOUTU3	PU0.5
	#define KEYOUTU4	PU0.6
	#define KEYOUTU5	PU4.3
	
	/****************************
	 LED
	 ****************************/
	#define LED0		P6.2
	#define LED1		P6.3
	#define LED2		P14.6
	#define LED3		P14.7

	/****************************
	 BEEP
	 ****************************/
	#define BEEP		P3.1

	#define BEEP_TAU	0
	#define BEEP_CH		3
	#define BEEP_TMR	TMR03
	#define BEEP_TDR	TDR03
	#define BEEP_TOE	TOE0L
	#define BEEP_TOL	TOL0L
	#define BEEP_TO		TO0L
	#define BEEP_TS		TS0L
	#define BEEP_TT		TT0L
	#define BEEP_TE		TE0L

	/****************************
	 UART(COM port)
	 ****************************/
	#define UART_TXD	P1.3
	#define UART_RXD	P1.4
	#define UART_CTS	P12.0
	#define UART_RTS	P4.1

	#define UART_SAU	SAU1EN
	#define UART_SPS	SPS1
	#define UART_TX_SAU		1
	#define UART_TX_CH		0
	#define UART_RX_SAU		1
	#define UART_RX_CH		1
	#define UART_CK			0		/* NbNI */
	#define UART_CK_SHIFT	(UART_CK * 4)
	#define UART_CK_MASK	~(0x0f << UART_CK_SHIFT)
	#define UART_TX_SMR	SMR10
	#define UART_RX_SMR	SMR11
	#define UART_TX_SCR	SCR10
	#define UART_RX_SCR	SCR11
	#define UART_TX_SDR	SDR10
	#define UART_RX_SDR	SDR11
	#define UART_SO		SO1
	#define UART_SOE	SOE1L
	#define UART_SS		SS1L
	#define UART_ST		ST1L
	#define UART_TX_IF	STIF2
	#define UART_RX_IF	SRIF2
	#define UART_TX_MK	STMK2
	#define UART_RX_MK	SRMK2
	#define UART_TX_PR	STPR02
	#define UART_RX_PR	SRPR02
	#define UART_TXDQ	TXD2
	#define UART_RXDQ	RXD2
	#define UART_FILT	NFEN0.4
	#define UART_TX_TSF	( SSR10 & (1 << 6))
	#define UART_RX_ERR SSR11
	#define UART_RX_ECL SIR11

	/****************************
	 LED
	 ****************************/
	#define PWM_OUT		P1.6

	#define PWMM_TAU	0
	#define PWMM_CH		0
	#define PWMM_TMR	TMR00
	#define PWMM_TDR	TDR00

	#define PWMS_TAU	0
	#define PWMS_CH		1
	#define PWMS_TMR	TMR01
	#define PWMS_TDR	TDR01
	#define PWMS_TOM	TOM0
	#define PWMS_TOE	TOE0L
	#define PWMS_TO		TO0L
	#define PWMS_TOL	TOL0L
	#define PWMS_TS		TS0L
	#define PWMS_TE		TE0L
	#define PWMS_TT		TT0L

	/****************************
	 ԊOʐM(M)
	 ****************************/
	#define IR_TX_TAU	0
	#define IR_TX_CH	6
	#define IR_TX_TMR	TMR06
	#define IR_TX_TDR	TDR06
	#define IR_TX_IF	TMIF06
	#define IR_TX_MK	TMMK06
	#define IR_TX_TS	TS0L
	#define IR_TX_TT	TT0L
	#define IR_TX_PR	TMPR006

	#define IR_OUT		P1.6

	#define IRTXM_TAU	0
	#define IRTXM_CH	0
	#define IRTXM_TMR	TMR00
	#define IRTXM_TDR	TDR00

	#define IRTXS_TAU	0
	#define IRTXS_CH	1
	#define IRTXS_TMR	TMR01
	#define IRTXS_TDR	TDR01
	#define IRTXS_TOM	TOM0
	#define IRTXS_TOE	TOE0L
	#define IRTXS_TO	TO0L
	#define IRTXS_TOL	TOL0L
	#define IRTXS_TS	TS0L
	#define IRTXS_TE	TE0L
	#define IRTXS_TT	TT0L

	/****************************
	 ԊOʐM(M)
	 ****************************/
	#define IR_IN		P1.7

	#define IR_RX_TAU	0
	#define IR_RX_CH	2
	#define IR_RX_TMR	TMR02
	#define IR_RX_TDR	TDR02
	#define IR_RX_FILT	NFEN1.IR_RX_CH
	#define IR_RX_MK	TMMK02
	#define IR_RX_TS	TS0L
	#define IR_RX_TT	TT0L
	#define IR_RX_PR	TMPR002

	/****************************
	 SDJ[hI/F
	 ****************************/
	#define SD_CS		P1.5
	#define SD_CD		P5.0
	#define SD_WP		P13.7
	#define SD_SO		P0.2
	#define SD_SI		P0.3
	#define SD_CK		P0.4

	#define SD_SPS		SPS0
	#define SD_SAU		0
	#define SD_CH		2
	#define SD_CKS		1		/* NbNI */
	#define SD_CK_SHIFT	(SD_CKS * 4)
	#define SD_CK_MASK	~(0x0f << SD_CK_SHIFT)
	#define SD_SMR		SMR02
	#define SD_SCR		SCR02
	#define SD_SDR		SDR02
	#define SD_SOR		SO0
	#define SD_SS		SS0L
	#define SD_ST		ST0L
	#define SD_SOE		SOE0L
	#define SD_SIO		SIO10
	#define SD_SIO_IF	CSIIF10
	#define SD_SIO_MK	CSIMK10

	#define SD_DMA_DEN	DEN0
	#define SD_DMA_DSA	DSA0
	#define SD_DMA_DRA	DRA0
	#define SD_DMA_DBC	DBC0
	#define SD_DMA_DMC	DMC0
	#define SD_DMA_DST	DST0
	#define SD_DMA_STG	STG0
	#define SD_DMA_IF	DMAIF0

	/****************************
	 I2C I/F(I[fBIER[fbÑp[^ݒp)
	 ****************************/
	#define AU_SCL		P6.0
	#define AU_SDA		P6.1

#if MCU_LIST < 1
	#define IIC_SPS		SPS1
	#define IIC_SAU		1
	#define IIC_CH		0
	#define IIC_CKS		1		/* NbNI */
	#define IIC_CK_SHIFT	(IIC_CKS * 4)
	#define IIC_CK_MASK	~(0x0f << IIC_CK_SHIFT)
	#define IIC_SMR		SMR10
	#define IIC_SCR		SCR10
	#define IIC_SDR		SDR10
	#define IIC_SOR		SO1
	#define IIC_SS		SS1L
	#define IIC_ST		ST1L
	#define IIC_SOE		SOE1L
	#define IIC_SIO		SIO20
	#define IIC_SIO_IF	IICIF20
	#define IIC_SIO_MK	IICMK20
	#define IIC_ACK		(SSR10L & 0x02)
#endif

	/****************************
	 I[fBII/F
	 ****************************/
	#define AU_FRM		P3.0
	#define AU_MCK		P14.0
	#define AU_CK		P1.0
	#define AU_SI		P1.1
	#define AU_SO		P1.2

	#define AU_FRM_IF	PIF3
	#define AU_FRM_MK	PMK3
	#define AU_FRM_PR0	PPR03
	#define AU_FRM_PR1	PPR13
	#define AU_FRM_EGP	EGP0.3
	#define AU_FRM_EGN	EGN0.3

	#define AU_MCK_CKS	CKS0
	#define AU_MCK_OE	PCLOE0

	#define AU_SPS		SPS0
	#define AU_SAU		0
	#define AU_CH		0
	#define AU_CKS		0		/* NbNI */
	#define AU_CK_SHIFT	(AU_CKS * 4)
	#define AU_CK_MASK	~(0x0f << AU_CK_SHIFT)
	#define AU_SMR		SMR00
	#define AU_SCR		SCR00
	#define AU_SDR		SDR00
	#define AU_SOR		SO0
	#define AU_SS		SS0L
	#define AU_ST		ST0L
	#define AU_SOE		SOE0L
	#define AU_SIO		SIO00
	#define AU_SIO_IF	CSIIF00
	#define AU_SIO_MK	CSIMK00
	#define AU_SIO_PR0	CSIPR000
	#define AU_SIO_PR1	CSIPR100

	/****************************
	 d
	 ****************************/
	#define SUB_POWER	P13.0

	/****************************
	 AiO
	 ****************************/
	#define AD_TMP		P2.2		/* xZT */

	/****************************
	 v(32.768kHz`FbNp)
	 ****************************/
	#define SUB_OUT_ENABLE	PCLOE1
	#define SUB_OUT_PIN		P14.1

#endif

