/* Xg3-7A LED */
#include "PORT.h"
#include "TASK.h"
#include <stdio.h>
#include <time.h>
#include <math.h>

#define CLOCK() \
	((unsigned int) clock() / (CLOCKS_PER_SEC / 100))
#define PAI		3.14

int main(void) {
	char line[33];
	int  x, peri = 200, center = 50, level = 50;
	float z, gamma = 2.5;
	
	while (1) {
		if (gets(line) != NULL) {
			sscanf(line, "%d%d%d%f", &peri, &center, &level, &gamma);
			if (peri == 0) break;
		}
		z = level * sin(CLOCK() % peri * 2 * PAI / peri);
		z = pow((center + z) / 100, gamma) * 10000;
		if ((x = (int) z) < 0) x = 0;
		PWM_start(x);
		HALT();
	}
	
	PWM_stop();
	printf("closed\n");
	return 0;
}


