/****************************************************************************
 ****************************************************************************
 *	void hdwinit(void);	n[hEGAݒ֐
 *
 *		Released by Ă[Th
 *		1.05	2017/08/15	KLCD_RL78p𗬗pč쐬
 ****************************************************************************
 ****************************************************************************/
#include "PORT.h"
#include "HDWINIT.h"

extern unsigned int _STACK_ADDR_START[];// X^bNETCYp
extern unsigned int _STACK_ADDR_END[];	// X^bNETCYp

/************************************************************
 * ݒ
 ************************************************************/
void hdwinit(void) {
	unsigned int *ip;			//RAMp
	__far unsigned int *jp;		//RAMp(l)

	/********************************************
	Zbgv̕ۑ
	*********************************************/
	reset_flag = RESF;
	
	/********************************************
	NbNݒ iHDWINIT.h̓eɉĎIj
	*********************************************/
#define X1_EXT_OSC		0x41		/* X1OUݒ(:0, 10MHzȉ:0x40, 10MHz:0x41)*/
#define XT1_EXT_OSC		0x10		/* XT1OUݒ(:0, :0x10, ʏ:0x12, :0x16)*/
	CMC = X1_EXT_OSC | XT1_EXT_OSC;	/* X1,XT1[qݒ */

	#if XT1_EXT_OSC > 0
		XTSTOP = 0;					/* XT1UJn */
	#endif

	#if X1_EXT_OSC > 0
		MSTOP = 0;					/* X1UJn */
		while(!(OSTC_bit.no3));		/* U҂(0.4ms@20MHz) */
		MCM0 = 1;					/* CNbNX1Uɐ؂ւ */
		HIOSTOP = 1;				/* U~ */
	#endif


	/********************************************
	|[gݒ(RL78/G13 64`128pin)
	*********************************************/
	/* |[g0
	#define KEYOUT1		P0.0
	#define KEYOUT2		P0.1
	#define SD_SO		P0.2
	#define SD_SI		P0.3
	#define SD_CK		P0.4
	#define KEYOUT3		P0.5
	#define KEYOUT4		P0.6
	#define RFU			P0.7	128pin̂
	*/
	P0  = 0b00010100;
	PU0 = 0b00000000;
	PM0 = 0b10001000;
	PMC0 = 0b11110011;
	
	/* |[g1
	#define AU_CK		P1.0
	#define AU_SI		P1.1
	#define AU_SO		P1.2
	#define UART_TXD	P1.3
	#define UART_RXD	P1.4
	#define SD_CS		P1.5
	#define IR_OUT		P1.6
	#define IR_IN		P1.7
	*/
	P1 =  0b00101101;
	PM1 = 0b10010011;
	PU1 = 0b10010000;
	
	/* |[g2
	#define AD_port		P2.0-2.2
	#define LCD_WR		P2.3
	#define LCD_DI		P2.4
	#define LCD_CS1		P2.5
	#define LCD_CS2		P2.6
	#define LCD_E		P2.7
	P2  = 0;
	*/
	PM2 = 0x07;
	ADPC = 4;
	
	/* |[g3
	#define AU_FRM		P3.0
	#define BEEP		P3.1
	P3  = 0;
	*/
	PM3 = 0b11111101;
	PU3 = 0b00000001;
	
	/* |[g4
	#define UART_RTS	P4.1
	#define KEYOUT5		P4.3
	*/
	P4  = 0b00000010;
	PU4 = 0b00000000;
	PM4 = 0b11110101;
	
	/* |[g5
	#define SD_CD		P5.0
	#define KEYIN1		P5.1
	#define KEYIN2		P5.2
	#define KEYIN3		P5.3
	#define KEYIN4		P5.4
	#define KEYIN5		P5.5
	PM5 = 0xff;
	*/
	PU5 = 0x3f;
	
	/* |[g6
	#define AU_SCL		P6.0
	#define AU_SDA		P6.1
	#define LED0		P6.2
	#define LED1		P6.3
	P6 = 0;
	*/
	PM6 = 0xf0;
	
	/* |[g7
	#define LCD_D		P7
    P7  = 0
	PU7 = 0;
	*/
	PM7 = 0;
	
	/* |[g12
	#define UART_CTS	P12.0
	P12 = 0;
	PM12 = 0xff;
	*/
	PU12 = 0x01;
	PMC12 = 0b11111110;
	
	/* |[g13
	#define SUB_POWER	P13.0
	#define SD_WP		P13.7
	*/
	P13 = 0x01;

	/* |[g14
	#define AU_MCK		P14.0
	#define LCD_RESET	P14.1
	#define LED2		P14.6
	#define LED3		P14.7
	P14 = 0;
	*/
	PM14 = 0b00111100;
	PMC14 = 0b01111111;

	/* 32.768kHzg`FbN,RpCEIvV̒`}NRTCCHECKǉĂB */
	#ifdef RTCCHECK
		CKS1 = 0x08;
		SUB_OUT_PIN    = 0;
		SUB_OUT_ENABLE = 1;
		while(1) WDTE = 0xac;
	#endif

	/********************************************
	RAMݒ
	*********************************************/
	// lϐNA(RAM̈)
	ip = (unsigned int*)__sectop(".bss");
	while (ip < __secend(".bss")) *ip++ = 0;

	// lϐNA(saddr̈)
	ip = (unsigned int*)__sectop(".sbss");
	while (ip < __secend(".sbss")) *ip++ = 0;

	// ltϐɏlݒ(RAM̈)
	jp = (__far unsigned int*)__sectop(".data");
	ip = (unsigned int*)__sectop(".dataR");
	while (ip < __secend(".dataR")) *ip++ = *jp++;

	// ltϐɏlݒ(saddr̈)
	jp = (__far unsigned int*)__sectop(".sdata");
	ip = (unsigned int*)__sectop(".sdataR");
	while (ip < __secend(".sdataR")) *ip++ = *jp++;

#if STACK_AREA_PATTERN > 0
	// X^bNʑp^[i[
	ip = _STACK_ADDR_END;
	while(ip < _STACK_ADDR_START - 32) *ip++ = STACK_AREA_PATTERN;
#endif

	/********************************************
	ݒI
	*********************************************/
	return;
}

#if STACK_AREA_PATTERN > 0
/************************************************************
 * X^bN
 ************************************************************/
int stack_consumption(void) {
	unsigned int *ip;

	ip = _STACK_ADDR_END;
	while (ip < _STACK_ADDR_START - 32)
		if (*ip == STACK_AREA_PATTERN) ip++;
		else break;
	return (int)((char*)_STACK_ADDR_START - (char*)ip);
}
#endif
