/* Xg3|2 `^O */
#include "PORT.h"
#include "TASK.h"							/* 3.2.3@ */
#include <stdio.h>
#include <time.h>
#define CLOCK() ( (int) clock() / (CLOCKS_PER_SEC / 100) )
int getkey(void);

int main(void) {
	int  c, told;
	KEY_close();							/* 3.2.3@ */

	while (1) {
		while (told == CLOCK());			/* 3.2.3A */
		told = CLOCK();
		if ((c = getkey()) != EOF)  printf("%d,", c);	/* 3.2.3B */
	}
	return 0;
}

int getkey(void) {
	static char prev_code, prev_detect, count;	/* 3.2.3C */
	char i = 0;

	/*** read key port ***/						/* 3.2.3D */
	if (!KEYIN1) i += 1;
	if (!KEYIN2) i += 2;
	if (!KEYIN3) i += 4;
	if (!KEYIN4) i += 8;
	if (!KEYIN5) i += 16;

	/*** eliminate chattering ***/
	#define nDETECTED  2
	if (i == prev_code || i != prev_detect) {	/* 3.2.3E */
		prev_detect = i;
		count = 0;
		return EOF;
	}
	else if (++count >= nDETECTED) {			/* 3.2.3F */
		prev_code = i;
		count = 0;
		return i;
	}
	return EOF;
}
